	SUBROUTINE PLT_ICLR ( string, iret )
C************************************************************************
C* PLT_ICLR								*
C*									*
C* This subroutine sets the graphics clear-device flag.			*
C*									*
C* The control file entry is of the following format:			*
C*									*
C*	CLEAR  = Clear screen flag (yes or no)				*
C*									*
C* If the input string is invalid, the clear flag will be true.		*
C*									*
C* PLT_ICLR ( STRING, IRET )						*
C*									*
C* Input parameters:							*
C*	STRING		CHAR*		Input character string		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98						*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	string
C*
	CHARACTER*8	cflag
C*-----------------------------------------------------------------------
	iret = 0
	lclear = .true.
	CALL ST_LCUC ( string, cflag, ier )
	IF ( INDEX ( cflag, 'N' ) .ne. 0 .or.
     +	     INDEX ( cflag, 'F' ) .ne. 0 ) lclear = .false.
C*
	RETURN
	END
