	SUBROUTINE RDTD_SKP ( luntd, nrecs, iret )
C************************************************************************
C* RDTD_SKP								*
C*									*
C* This subroutine skips records in a trace data file.			*
C*									*
C* LUNTD is the unit number to which the trace data file is connected.	*
C*									*
C* RDTD_SKP ( LUNTD, IHDR, IRET )					*
C*									*
C* Input parameters:							*
C*	LUNTD		INTEGER		Unit number of trace data file	*
C*	NRECS		INTEGER		Number of records to skip	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 -2 = too few condition records *
C**									*
C* Log:									*
C* K. Brill/EMC		10/97						*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*80	recrd
C*------------------------------------------------------------------------
	iret = 0
	icnt = 0
	ios = 0
	recrd = ' '
	DO WHILE ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR .and.
     +		   icnt .lt. nrecs )
	    READ ( luntd, '(A)', IOSTAT=ios ) recrd
	    IF ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR ) THEN
		icnt = icnt + 1
	    ELSE
		iret = -2
		RETURN
	    END IF
	END DO
C*
	RETURN
	END
