	SUBROUTINE RDTD_XLB ( xlbl, nchrs, ncdpt, ncnds, iret )
C************************************************************************
C* RDTD_XLB								*
C*									*
C* This subroutine returns the parameter name(s) associated with the	*
C* independent variable conditions for this plot.			*
C*									*
C* Append first and last independent variable bin conditions after its	*
C* name for the second and higher condtions.				*
C*									*
C* RDTD_XLB ( XLBL, NCHRS, NCDPT, NCNDS, IRET )				*
C*									*
C* Output parameters:							*
C*	XLBL		CHAR*		String of parameter names	*
C*	NCHRS		INTEGER		# of characters in XLBL		*
C*	NCDPT		INTEGER		# of cndtnlly determined points *
C*	NCNDS		INTEGER		# of ind var conditions		*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 2/98						*
C* K. Brill/EMC		 8/98	Append bin conditions for 2nd + cndtns	*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*(*)	xlbl
C*------------------------------------------------------------------------
	iret = 0
	xlbl = ' '
	nchrs = 0
	IF ( nivcnd .eq. 0 ) RETURN
C*
	ncnds = nivcnd
	ncdpt = ncells
	xlbl = prmlbl ( kivfld (1) )
	i = 1
	DO WHILE ( i .lt. nivcnd )
	    i = i + 1
	    CALL ST_LSTR ( xlbl, lng, ier )
	    xlbl = xlbl (1:lng) // ' ' // prmlbl ( kivfld (i) )
	    CALL ST_LSTR ( xlbl, lng, ier )
	    xlbl = xlbl (1:lng) // ':' // civcn1 (i,1)
	    CALL ST_LSTR ( xlbl, lng, ier )
	    xlbl = xlbl (1:lng) // '>' // civcn1 (i,ncells)
	END DO
	CALL ST_LSTR ( xlbl, nchrs, ier )
C*
	RETURN
	END
