#!/bin/sh
#########################################################################
#  This script generates the c_codes.hlp file for fvs -h.		#
#									#
#  Log:									#
#  K. Brill/HPC 	11/05						#
#  K. Brill/IMSG     20160728	Add header instructions.		#
#########################################################################
/bin/rm -f c_codes.hlp
cat << EOF > c_codes.hlp

    ALL VSDB statistic types and computational codes are defined here.

    Please scroll through this output to find information pertaining
    to the statistic type of interest.

EOF
list=`/bin/ls -1 comp_codes.* | grep -v wwx`
for file in $list; do
    echo adding $file to c_codes.hlp
    cat $file >> c_codes.hlp
done
echo Moving c_codes.hlp file to help directory.
mv c_codes.hlp ../help/.
