	SUBROUTINE PLT_PERR ( ierrg, iret )
C************************************************************************
C* PLT_PERR								*
C*									*
C* This subroutine relays a standard error message for an error in the	*
C* graphics processing.							*
C*									*
C* PLT_PERR  ( IERRG, IRET )						*
C*									*
C* Input parameters:							*
C*	IERRG		INTEGER		Graphics error code number	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Relayed return code		*
C*				 	  -14 = GEMPLT error		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98						*
C************************************************************************
C*
	CHARACTER*32	errstr
	CHARACTER*8	ctmp
C*------------------------------------------------------------------------
	iret = -14
C*
	CALL ST_INCH ( ierrg, ctmp, ier )
	errstr = 'GRAPHICS PROC ERROR # = ' // ctmp
	CALL PLT_ERRO ( iret, errstr, ier )
C*
	RETURN
	END
