	SUBROUTINE GD2INP  ( gdfile, gdatim, gvcord, gfunc, glevel,
     +                       sffile, sfparm, dattim,
     +			     vdbfrcid, vdbfrchr, vdbanlid,
     +			     vdbfrcgd, vdbstatt, vdbprmnm, vdblvlnm,
     +			     regins, catprobs, thldgfnc,
     +			     useara, mfrq, output, iret )
C************************************************************************
C* GD2INP								*
C*									*
C* This subroutine gets the input parameters for GD2OBS.		*
C*									*
C* GD2INP  ( GDFILE, GDATIM, GVCORD, GFUNC, GLEVEL, SFFILE,		*
C*	     SFPARM, DATTIM, VDBFRCID, VDBFRCHR, VDBANLID, VDBFRCGD,	*
C*	     VDBSTATT, VDBPRMNM, VDBLVLNM, REGIONS, CATPROBS,           *
C*           THLDGFNC, USEARA, MFRQ, OUTPUT, IRET )			*
C**									*
C* Log:									*
C* K. Brill		10/05						*
C* K. Brill             04/15   Add mfrq                                *
C* C. Bailey            09/15   Add catprobs, thldgfnc                  *
C************************************************************************
	CHARACTER*(*)	gdfile, gdatim, gvcord, gfunc, glevel,
     +			sffile, sfparm, dattim
	CHARACTER*(*)	vdbfrcid, vdbfrchr, vdbanlid,
     +			vdbfrcgd, vdbstatt, vdbprmnm,
     +			vdblvlnm, regins, output, catprobs, thldgfnc
	LOGICAL		useara, mfrq
	INTEGER		iret
C------------------------------------------------------------------------
	iret = 0
	CALL IP_STR  ( 'GDFILE',  gdfile,  ier1 )
	CALL IP_STR  ( 'GDATTIM', gdatim,  ier2 )
	CALL IP_STR  ( 'GVCORD',  gvcord,  ier3 )
	CALL IP_STR  ( 'GLEVEL',  glevel,  ier4 )
	CALL IP_STR  ( 'GFUNC',   gfunc,   ier5 )
	CALL IP_STR  ( 'SFFILE',  sffile,  ier6 )
	CALL IP_STR  ( 'SFPARM',  sfparm,  ier7 )
	CALL IP_STR  ( 'DATTIM',  dattim,  ier8 )
	CALL IP_STR  ( 'VDBFRCID', vdbfrcid, ier9 )
	CALL IP_STR  ( 'VDBFRCHR', vdbfrchr, ier10 )
	CALL IP_STR  ( 'VDBANLID', vdbanlid, ier11 )
	CALL IP_STR  ( 'VDBFRCGD', vdbfrcgd, ier12 )
	CALL IP_STR  ( 'VDBSTATT', vdbstatt, ier13 )
	CALL IP_STR  ( 'VDBPRMNM', vdbprmnm, ier14 )
	CALL IP_STR  ( 'VDBLVLNM', vdblvlnm, ier15 )
	CALL IP_STR  ( 'CATPROBS', catprobs, ier16 )
	CALL IP_STR  ( 'PBSTHLD', thldgfnc, ier17 )
	CALL IP_STR  ( 'REGIONS',  regins,   ier18 )
	CALL IP_LOG  ( 'USEAREA',  useara,   ier19 )
	CALL IP_LOG  ( 'MTCHFRQ',  mfrq,     ier20 )
	CALL IP_STR  ( 'OUTPUT',   output,   ier21 )
C*
	iret = ier1 + ier2 + ier3 + ier4 + ier5 + ier6 + ier7 + ier8
	iret = iret + ier9 + ier10 + ier11 + ier12 + ier13 + ier14
	iret = iret + ier15 + ier16 + ier17 + ier18 + ier19 + ier20
	iret = iret + ier21
	IF  ( iret .ne. 0 )  iret = -2
C*
	RETURN
	END
