	SUBROUTINE PFRINP ( gdffor, frcstr, gridid, statyp,
     +			    useara, cgarea, proj, kxky,
     +			    gdfanl, anlsrc, regins,
     +			    gdatim, glevel, gvcord, afunc, ffunc,
     +			    prmnam, gdoutf, output, iret )
C************************************************************************
C* PFRINP								*
C*									*
C* This subroutine gets the input parameters for GDPFR from the user.	*
C*									*
C* PFRINP  ( GDFFOR, FRCSTR, GRIDID, STATYP, USEARA, CGAREA, PROJ, 	*
C*	     KXKY, GDFANL, ANLSRC, REGINS,				*
C*	     GDATIM, GLEVEL, GVCORD, AFUNC, FFUNC, PRMNAM, GDOUTF,	*
C*	     OUTPUT, IRET )						*
C**									*
C* Log:									*
C* K. Brill/HPC		 8/10						*
C************************************************************************
	CHARACTER*(*)	gdffor, frcstr, gridid, statyp, gdfanl, anlsrc,
     +			regins, gdatim, glevel, gvcord,
     +			afunc, ffunc, prmnam, gdoutf, output, cgarea,
     +			proj, kxky
	LOGICAL		useara
C------------------------------------------------------------------------
	iret = 0
	CALL IP_STR  ( 'GDFFOR',  gdffor, ier1 )
	CALL IP_STR  ( 'FRCSTR',  frcstr, ier2 )
	CALL IP_STR  ( 'GRIDID',  gridid, ier3 )
	CALL IP_STR  ( 'STATTYP', statyp, ier7 )
	CALL IP_LOG  ( 'USEAREA', useara, ier19 )
	CALL IP_STR  ( 'CGAREA',  cgarea, ier15 )
	CALL IP_STR  ( 'PROJ',    proj,   ier16 )
	CALL IP_STR  ( 'KXKY',    kxky,   ier17 )
	CALL IP_STR  ( 'GDFANL',  gdfanl, ier4 )
	CALL IP_STR  ( 'ANLSRC',  anlsrc, ier5 )
	CALL IP_STR  ( 'REGIONS', regins, ier6 )
	CALL IP_STR  ( 'GDATTIM', gdatim, ier8 )
	CALL IP_STR  ( 'GLEVEL',  glevel, ier9 )
	CALL IP_STR  ( 'GVCORD',  gvcord, ier10 )
	CALL IP_STR  ( 'AFUNC',   afunc,  ier11 )
	CALL IP_STR  ( 'FFUNC',   ffunc,  ier18 )
	CALL IP_STR  ( 'PRMNAM',  prmnam, ier12 )
	CALL IP_STR  ( 'GDOUTF',  gdoutf, ier13 )
	CALL IP_STR  ( 'OUTPUT',  output, ier14 )
C
	iret = ier1 + ier2 + ier3 + ier4 + ier5 + ier6 + ier7 + ier8 + 
     +	       ier9 + ier10 + ier11 + ier12 + ier13 + ier14 + ier15 +
     +	       ier16 + ier17 + ier18 + ier 19
	IF  ( iret .ne. 0 )  iret = -2
C*
	RETURN
	END
