	PROGRAM MKFLNM
C************************************************************************
C*  Program to make file names given a control file with dates in it.	*
C*									*
C*  Without printing any prompts, this program reads the control file	*
C*  name, the current date in the form YYYYMMDD, and the first date in	*
C*  the data archive (also in the form YYYYMMDD) from three lines of	*
C*  standard input.  Its output is a list of file names written to a	*
C*  file called vsdb_files located in the current local directory.	*
C*									*
C* Log:									*
C* K. Brill		 9/97						*
C* K. Brill/EMC		 2/98	Changes for indeterminate list of files	*
C************************************************************************
	PARAMETER	( MXFLS = 0 )
	CHARACTER*12	today, day1
	CHARACTER*80	ctlfil
C------------------------------------------------------------------------
	luni = 11
	luno = 21
C
C*	Read from standard input:
C
	READ (5,'(A)') ctlfil
	READ (5,'(A)') today
	READ (5,'(A)') day1
C*
	OPEN ( UNIT=luni, FILE=ctlfil, STATUS='old',
     +		IOSTAT = iostat )
	IF ( iostat .ne. 0 ) THEN
	    WRITE (6,*) ' Could not open ', ctlfil
	    STOP
	END IF
	OPEN ( UNIT=luno, FILE='vsdb_files', STATUS='unknown',
     +		IOSTAT = iostat )
	IF ( iostat .ne. 0 ) THEN
	    WRITE (6,*) ' Could not open vsdb_files.'
	    STOP
	END IF
	CALL USR_FLNM ( luni, luno, 0, day1, today, nfiles, nmdls,
     +			ier )
	IF ( ier .ne. 0 ) THEN
	    CALL USR_ERRO ( ier, ' ', ierr )
	END IF
	STOP
	END
