	PROGRAM MKYMRG
C************************************************************************
C*  Program to make YYYYMM ranges for file searchs.			*
C*									*
C*  Without printing any prompts, this program reads the control file	*
C*  name, the current date in the form YYYYMMDD, and the first date in	*
C*  the data archive (also in the form YYYYMMDD) from three lines of	*
C*  standard input.  Its output is a list of YYYYMM ranges written to a	*
C*  file called vsdb_yyyymm located in the current local directory.	*
C*									*
C* Log:									*
C* K. Brill/HPC		 3/03						*
C************************************************************************
	PARAMETER	( MXFLS = 0 )
	CHARACTER*12	today, day1
	CHARACTER*80	ctlfil
C------------------------------------------------------------------------
	luni = 11
	luno = 21
	lunm = 22
C
C*	Read from standard input:
C
	READ (5,'(A)') ctlfil
	READ (5,'(A)') today
	READ (5,'(A)') day1
C*
	OPEN ( UNIT=luni, FILE=ctlfil, STATUS='old',
     +		IOSTAT = iostat )
	IF ( iostat .ne. 0 ) THEN
	    WRITE (6,*) ' Could not open ', ctlfil
	    STOP
	END IF
	OPEN ( UNIT=luno, FILE='vsdb_Ymd', STATUS='unknown',
     +		IOSTAT = iostat )
	IF ( iostat .ne. 0 ) THEN
	    WRITE (6,*) ' Could not open vsdb_Ymd.'
	    STOP
	END IF
	OPEN ( UNIT=lunm, FILE='vsdb_models', STATUS='unknown',
     +		IOSTAT = iostat )
	IF ( iostat .ne. 0 ) THEN
	    WRITE (6,*) ' Could not open vsdb_models.'
	    STOP
	END IF
	CALL USR_YMRG ( luni, luno, lunm, day1, today, nrngs, nmdls,
     +			ier )
	IF ( ier .ne. 0 ) THEN
	    CALL USR_ERRO ( ier, ' ', ierr )
	END IF
	STOP
	END
