	SUBROUTINE USR_ERRO ( i, usrmsg, iret )
C************************************************************************
C* USR_ERRO								*
C*									*
C* This subroutine writes a USR error message.				*
C*									*
C* The USRMSG is not printed if it is blank.				*
C*									*
C* USR_ERRO  ( I, USRMSG, IRET )					*
C*									*
C* Input parameters:							*
C*	I		INTEGER		Value of a return code		*
C*	USRMSG		CHAR*		User reference message		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 9/97						*
C************************************************************************
	CHARACTER*(*)	usrmsg
C*
C*------------------------------------------------------------------------
	iret = 0
	IF ( usrmsg .ne. ' ' ) THEN
	    WRITE (6,*) usrmsg
	END IF
	IF ( i .eq. 3 ) WRITE (6,*)
     +		 '+03 = '
	IF ( i .eq. 2 ) WRITE (6,*)
     +		 '+02 = '
	IF ( i .eq. 1 ) WRITE (6,*)
     +		 '+01 = '
	IF ( i .eq. 0 ) WRITE (6,*)
     +		 '  0 = normal return'
	IF ( i .eq. -1 ) WRITE (6,*)
     +		  '-01 = invalid header record'
	IF ( i .eq. -2 ) WRITE (6,*)
     +		  '-02 = too few condition records'
	IF ( i .eq. -3 ) WRITE (6,*)
     +		  '-03 = invalid condition record'
	IF ( i .eq. -4 ) WRITE (6,*)
     +		  '-04 = no dates found'
	IF ( i .eq. -5 ) WRITE (6,*)
     +		  '-05 = beginning date predates archive'
	IF ( i .eq. -6 ) WRITE (6,*)
     +		  '-06 = REWIND failed for control/trace data file'
	IF ( i .eq. -7 ) WRITE (6,*)
     +		  '-07 = error writing to VSDB file name list file'
	IF ( i .eq. -8 ) WRITE (6,*)
     +		  '-08 = invalid condition code for model names'
	IF ( i .eq. -9 ) WRITE (6,*)
     +		  '-09 = model name has zero length'
	IF ( i .eq. -10 ) WRITE (6,*)
     +		  '-10 = error writing to VSDB model name list file'
	IF ( i .eq. -11 ) WRITE (6,*)
     +		  '-11 = no model names found in search conditions--',
     +	          '      cannot build file names'
	RETURN
	END
